Bug 1282173 - libreoffice depedency issue with python 3.x
libreoffice depedency issue with python 3.x
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 04:42 EST by Ali Akcaagac
Modified: 2015-12-07 11:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1282174 (view as bug list)
Environment:
Last Closed: 2015-12-07 11:37:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali Akcaagac 2015-11-15 04:42:31 EST
Error: Package: 1:libreoffice-pyuno-5.1.0.0-5.alpha1.fc24.i686 (rawhide)
           Requires: python(abi) = 3.4
           Installing: python-2.7.10-11.fc24.i686 (rawhide)
               python(abi) = 2.7
               python(abi) = 2.7
           Installing: python3-3.5.0-4.fc24.i686 (rawhide)
               python(abi) = 3.5
               python(abi) = 3.5
Error: Package: 1:libreoffice-pyuno-5.1.0.0-5.alpha1.fc24.i686 (rawhide)
           Requires: libpython3.4m.so.1.0
Error: Package: python3-pycurl-7.19.5.3-1.fc24.i686 (rawhide)
           Requires: libpython3.4m.so.1.0
Error: Package: python3-pycurl-7.19.5.3-1.fc24.i686 (rawhide)
           Requires: python(abi) = 3.4
           Installing: python-2.7.10-11.fc24.i686 (rawhide)
               python(abi) = 2.7
               python(abi) = 2.7
           Installing: python3-3.5.0-4.fc24.i686 (rawhide)
               python(abi) = 3.5
               python(abi) = 3.5
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Please fix if possible
Comment 1 Zdenek Kabelac 2015-11-19 12:18:04 EST
# LANG=C dnf upgrade dnf --best --allowerasing 
Last metadata expiration check performed 0:07:57 ago on Thu Nov 19 18:09:28 2015.
Dependencies resolved.
==================================================================================================================================================
 Package                                           Arch                   Version                                  Repository                Size
==================================================================================================================================================
Installing:
 python-systemd-doc                                x86_64                 231-3.fc24                               rawhide                   74 k
Upgrading:
 audit                                             x86_64                 2.4.4-3.fc24                             rawhide                  243 k
 audit-libs                                        i686                   2.4.4-3.fc24                             rawhide                   96 k
 audit-libs                                        x86_64                 2.4.4-3.fc24                             rawhide                   95 k
 audit-libs-python3                                x86_64                 2.4.4-3.fc24                             rawhide                   97 k
 authconfig                                        x86_64                 6.2.10-11.fc24                           rawhide                  413 k
 authconfig-gtk                                    x86_64                 6.2.10-11.fc24                           rawhide                  114 k
 caribou                                           x86_64                 0.4.19-2.fc24                            rawhide                  162 k
 caribou-gtk2-module                               x86_64                 0.4.19-2.fc24                            rawhide                   26 k
 caribou-gtk3-module                               x86_64                 0.4.19-2.fc24                            rawhide                   26 k
 dnf                                               noarch                 1.1.4-1.fc24                             rawhide                  265 k
 dnf-conf                                          noarch                 1.1.4-1.fc24                             rawhide                   89 k
 dnf-langpacks                                     noarch                 0.15.1-3.fc24                            rawhide                   10 k
 dnf-langpacks-conf                                noarch                 0.15.1-3.fc24                            rawhide                   12 k
 dnf-plugins-core                                  noarch                 0.1.14-1.fc24                            rawhide                   36 k
 dnf-yum                                           noarch                 1.1.4-1.fc24                             rawhide                   82 k
 file                                              x86_64                 5.25-2.fc24                              rawhide                   67 k
 file-libs                                         x86_64                 5.25-2.fc24                              rawhide                  437 k
 gdb                                               x86_64                 7.10.50.20151113-33.fc24                 rawhide                  3.2 M
 gitg                                              x86_64                 3.18.0-2.fc24                            rawhide                  447 k
 gitg-libs                                         x86_64                 3.18.0-2.fc24                            rawhide                  270 k
 glade                                             x86_64                 3.19.0-4.fc24                            rawhide                  1.9 M
 glade-libs                                        x86_64                 3.19.0-4.fc24                            rawhide                  663 k
 hawkey                                            x86_64                 0.6.2-2.fc24                             rawhide                   92 k
 javapackages-tools                                noarch                 4.6.0-11.fc24                            rawhide                  103 k
 langtable                                         noarch                 0.0.34-2.fc24                            rawhide                   39 k
 langtable-data                                    noarch                 0.0.34-2.fc24                            rawhide                  628 k
 langtable-python                                  noarch                 0.0.34-2.fc24                            rawhide                   35 k
 langtable-python3                                 noarch                 0.0.34-2.fc24                            rawhide                   36 k
 libcomps                                          x86_64                 0.1.7-2.fc24                             rawhide                   76 k
 libgit2-glib                                      x86_64                 0.23.6-2.fc24                            rawhide                  132 k
 libipa_hbac                                       x86_64                 1.13.1-5.fc24                            rawhide                   73 k
 librepo                                           x86_64                 1.7.17-2.fc24                            rawhide                   82 k
 libselinux                                        i686                   2.4-5.fc24                               rawhide                  148 k
 libselinux                                        x86_64                 2.4-5.fc24                               rawhide                  147 k
 libselinux-devel                                  x86_64                 2.4-5.fc24                               rawhide                  182 k
 libselinux-python                                 x86_64                 2.4-5.fc24                               rawhide                  302 k
 libselinux-python3                                x86_64                 2.4-5.fc24                               rawhide                  303 k
 libselinux-utils                                  x86_64                 2.4-5.fc24                               rawhide                  143 k
 libsemanage                                       x86_64                 2.4-5.fc24                               rawhide                  148 k
 libsemanage-python                                x86_64                 2.4-5.fc24                               rawhide                  109 k
 libsemanage-python3                               x86_64                 2.4-5.fc24                               rawhide                  113 k
 libsss_idmap                                      x86_64                 1.13.1-5.fc24                            rawhide                   77 k
 libxml2                                           i686                   2.9.2-9.fc24                             rawhide                  686 k
 libxml2                                           x86_64                 2.9.2-9.fc24                             rawhide                  678 k
 libxml2-devel                                     x86_64                 2.9.2-9.fc24                             rawhide                  1.1 M
 mock                                              noarch                 1.2.13-3.fc24                            rawhide                  315 k
 newt                                              x86_64                 0.52.18-4.fc24                           rawhide                  116 k
 newt-devel                                        x86_64                 0.52.18-4.fc24                           rawhide                   57 k
 newt-python                                       x86_64                 0.52.18-4.fc24                           rawhide                   60 k
 newt-python3                                      x86_64                 0.52.18-4.fc24                           rawhide                   60 k
 policycoreutils                                   x86_64                 2.4-19.fc24                              rawhide                  922 k
 policycoreutils-devel                             x86_64                 2.4-19.fc24                              rawhide                  331 k
 policycoreutils-python-utils                      x86_64                 2.4-19.fc24                              rawhide                  214 k
 policycoreutils-python3                           x86_64                 2.4-19.fc24                              rawhide                  1.8 M
 python-IPy-python3                                noarch                 0.81-14.fc24                             rawhide                   42 k
 python-caribou                                    noarch                 0.4.19-2.fc24                            rawhide                   49 k
 python-hawkey                                     x86_64                 0.6.2-2.fc24                             rawhide                   78 k
 python-libcomps                                   x86_64                 0.1.7-2.fc24                             rawhide                   47 k
 python-librepo                                    x86_64                 1.7.17-2.fc24                            rawhide                   56 k
 python-libxml2                                    x86_64                 2.9.2-9.fc24                             rawhide                  229 k
 python-magic                                      noarch                 5.25-2.fc24                              rawhide                   38 k
 python2-dnf                                       noarch                 1.1.4-1.fc24                             rawhide                  447 k
 python2-systemd                                   x86_64                 231-3.fc24                               rawhide                   67 k
 python3                                           x86_64                 3.5.0-5.fc24                             rawhide                   54 k
 python3-PyXB                                      noarch                 1.2.4-6.fc24                             rawhide                  504 k
 python3-cairo                                     x86_64                 1.10.0-14.fc24                           rawhide                  470 k
 python3-caribou                                   noarch                 0.4.19-2.fc24                            rawhide                   50 k
 python3-cffi                                      x86_64                 1.1.2-4.fc24                             rawhide                  199 k
 python3-chardet                                   noarch                 2.2.1-4.fc24                             rawhide                  242 k
 python3-cryptography                              x86_64                 1.1-1.fc24                               rawhide                  456 k
 python3-cssselect                                 noarch                 0.9.1-8.fc24                             rawhide                   63 k
 python3-cups                                      x86_64                 1.9.72-4.fc24                            rawhide                   82 k
 python3-dbus                                      x86_64                 1.2.0-12.fc24                            rawhide                  122 k
 python3-decorator                                 noarch                 4.0.4-2.fc24                             rawhide                   59 k
 python3-devel                                     x86_64                 3.5.0-5.fc24                             rawhide                  193 k
 python3-dnf                                       noarch                 1.1.4-1.fc24                             rawhide                  455 k
 python3-dnf-langpacks                             noarch                 0.15.1-3.fc24                            rawhide                   34 k
 python3-dnf-plugin-system-upgrade                 noarch                 0.7.0-2.fc24                             rawhide                   31 k
 python3-dnf-plugins-core                          noarch                 0.1.14-1.fc24                            rawhide                   64 k
 python3-dnf-plugins-extras-common                 noarch                 0.0.11-2.fc24                            rawhide                   28 k
 python3-enchant                                   noarch                 1.6.6-4.fc24                             rawhide                  108 k
 python3-firewall                                  noarch                 0.3.14.2-5.fc24                          rawhide                  247 k
 python3-gobject                                   x86_64                 3.19.2-2.fc24                            rawhide                   21 k
 python3-gobject-base                              x86_64                 3.19.2-2.fc24                            rawhide                  300 k
 python3-hawkey                                    x86_64                 0.6.2-2.fc24                             rawhide                   73 k
 python3-idna                                      noarch                 2.0-2.fc24                               rawhide                   97 k
 python3-iniparse                                  noarch                 0.4-17.fc24                              rawhide                   46 k
 python3-javapackages                              noarch                 4.6.0-11.fc24                            rawhide                   88 k
 python3-kickstart                                 noarch                 2.20-2.fc24                              rawhide                  376 k
 python3-libcomps                                  x86_64                 0.1.7-2.fc24                             rawhide                   47 k
 python3-librepo                                   x86_64                 1.7.17-2.fc24                            rawhide                   56 k
 python3-libs                                      x86_64                 3.5.0-5.fc24                             rawhide                  7.3 M
 python3-libxml2                                   x86_64                 2.9.2-9.fc24                             rawhide                  232 k
 python3-lxml                                      x86_64                 3.4.4-2.fc24                             rawhide                  902 k
 python3-magic                                     noarch                 5.25-2.fc24                              rawhide                   38 k
 python3-numpy                                     x86_64                 1:1.10.2-0.1rc1.fc24                     rawhide                  2.9 M
 python3-pip                                       noarch                 7.1.0-3.fc24                             rawhide                  1.5 M
 python3-ply                                       noarch                 3.6-3.fc24                               rawhide                  148 k
 python3-pyasn1                                    noarch                 0.1.9-2.fc24                             rawhide                  110 k
 python3-pyatspi                                   noarch                 2.18.0-2.fc24                            rawhide                   93 k
 python3-pycparser                                 noarch                 2.14-4.fc24                              rawhide                  100 k
 python3-pycurl                                    x86_64                 7.19.5.3-3.fc24                          rawhide                  186 k
 python3-pygpgme                                   x86_64                 0.3-14.fc24                              rawhide                   78 k
 python3-pyparsing                                 noarch                 2.0.6-1.fc24                             rawhide                  109 k
 python3-requests                                  noarch                 2.7.0-8.fc24                             rawhide                  104 k
 python3-setuptools                                noarch                 18.5-2.fc24                              rawhide                  405 k
 python3-six                                       noarch                 1.10.0-1.fc24                            rawhide                   35 k
 python3-slip                                      noarch                 0.6.4-2.fc24                             rawhide                   37 k
 python3-slip-dbus                                 noarch                 0.6.4-2.fc24                             rawhide                   37 k
 python3-sssdconfig                                noarch                 1.13.1-5.fc24                            rawhide                  100 k
 python3-systemd                                   x86_64                 231-3.fc24                               rawhide                   68 k
 python3-urllib3                                   noarch                 1.10.4-7.fc24                            rawhide                  118 k
 rpm                                               x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                  511 k
 rpm-build                                         x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                  137 k
 rpm-build-libs                                    x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                  117 k
 rpm-libs                                          x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                  295 k
 rpm-plugin-selinux                                x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                   52 k
 rpm-plugin-systemd-inhibit                        x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                   52 k
 rpm-python                                        x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                  101 k
 rpm-python3                                       x86_64                 4.13.0-0.rc1.12.fc24                     rawhide                  102 k
 setroubleshoot-server                             x86_64                 3.3.1-0.4.fc24                           rawhide                  274 k
 sos                                               noarch                 3.2-0.4.a.fc24                           rawhide                  284 k
 sssd                                              x86_64                 1.13.1-5.fc24                            rawhide                   67 k
 sssd-ad                                           x86_64                 1.13.1-5.fc24                            rawhide                  174 k
 sssd-client                                       x86_64                 1.13.1-5.fc24                            rawhide                  132 k
 sssd-common                                       x86_64                 1.13.1-5.fc24                            rawhide                  1.1 M
 sssd-common-pac                                   x86_64                 1.13.1-5.fc24                            rawhide                  112 k
 sssd-ipa                                          x86_64                 1.13.1-5.fc24                            rawhide                  231 k
 sssd-krb5                                         x86_64                 1.13.1-5.fc24                            rawhide                  105 k
 sssd-krb5-common                                  x86_64                 1.13.1-5.fc24                            rawhide                  133 k
 sssd-ldap                                         x86_64                 1.13.1-5.fc24                            rawhide                  171 k
 sssd-proxy                                        x86_64                 1.13.1-5.fc24                            rawhide                  100 k
 system-config-printer                             x86_64                 1.5.7-6.fc24                             rawhide                  236 k
 system-config-printer-libs                        noarch                 1.5.7-6.fc24                             rawhide                  829 k
 system-config-printer-udev                        x86_64                 1.5.7-6.fc24                             rawhide                  101 k
 unbound-libs                                      x86_64                 1.5.6-1.fc24                             rawhide                  367 k
Removing:
 libreoffice-base                                  x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 6.6 M
 libreoffice-calc                                  x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                  29 M
 libreoffice-core                                  x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 236 M
 libreoffice-draw                                  x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 2.2 M
 libreoffice-filters                               x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                   0  
 libreoffice-graphicfilter                         x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 1.3 M
 libreoffice-impress                               x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 4.8 M
 libreoffice-langpack-cs                           x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                  27 M
 libreoffice-math                                  x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 3.5 M
 libreoffice-pdfimport                             x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 546 k
 libreoffice-pyuno                                 x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 1.9 M
 libreoffice-writer                                x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                  14 M
 libreoffice-writer2latex                          x86_64                 1.0.2-17.fc23                            @System                  503 k
 libreoffice-xsltfilter                            x86_64                 1:5.1.0.0-5.alpha1.fc24                  @rawhide                 3.6 M
 openoffice.org-diafilter                          x86_64                 1.7.4-1.fc24                             @rawhide                 9.3 M
 unoconv                                           noarch                 0.7-1.fc23                               @System                  240 k

Transaction Summary
==================================================================================================================================================
Install    1 Package
Upgrade  136 Packages
Remove    16 Packages

Total download size: 44 M
Comment 2 Ali Akcaagac 2015-11-19 13:50:26 EST
sudo dnf -y install yum
sudo yum-deprecated -y group install libreoffice

And you are hit by the bug about dependency issues.

We rely on yum-deprecated for our infrastructure scripts due to missing (but long time ago reported) implementations of dnf.

So using yum rather than dnf spits out these errors.
Comment 3 Petr Pisar 2015-11-24 04:46:27 EST
The blocker is that libreoffice cannot be built in rawhide now.
Comment 4 David Tardon 2015-11-24 04:52:14 EST
There's no dependency problem anymore. A test is segfaulting on arm.
Comment 5 Petr Pisar 2015-11-24 05:02:46 EST
(In reply to David Tardon from comment #4)
> There's no dependency problem anymore.

After building an F24 build. Latest available libreoffice-pyuno-1:5.1.0.0-5.alpha1.fc24.x86_64 still requires `libpython3.4m.so.1.0()(64bit)'.
Comment 6 Ali Akcaagac 2015-11-24 07:33:28 EST
(In reply to David Tardon from comment #4)
> There's no dependency problem anymore. A test is segfaulting on arm.

--> Finished Dependency Resolution
Error: Package: 1:libreoffice-pyuno-5.1.0.0-5.alpha1.fc24.i686 (rawhide)
           Requires: libpython3.4m.so.1.0
Error: Package: 1:libreoffice-pyuno-5.1.0.0-5.alpha1.fc24.i686 (rawhide)
           Requires: python(abi) = 3.4
           Installing: python-2.7.10-11.fc24.i686 (rawhide)
               python(abi) = 2.7
               python(abi) = 2.7
           Installing: python3-3.5.0-5.fc24.i686 (rawhide)
               python(abi) = 3.5
               python(abi) = 3.5
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Just ran an update a couple of minutes ago with clean metadata. No issues ?

Note You need to log in before you can comment on or make changes to this bug.